Process Statutory Payment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

/process/payment

Initiate the payment process for employees. This endpoint allows you to specify the employee IDs, payment year, payment month, statutory type, and timeline.

Input Schema

{
    employeeIds: String[]
    year: Number
    month: Number
    statutory: String
    timeline: String
}

NOTE:

  • The value of month starts from 0 to 11, 0 representing January and 11 representing December
  • If an employee has been processed for a statutory type for a month and year, the same employee can not be processed for that same statutory type of the same month and year
Body Params
employeeIds
array of strings
required

Array of unique identifiers for the employees.

employeeIds*
int32
required

Year for which the payment is being processed.

int32
required

Month for which the payment is being processed.(from 0 to 11)

string
required

Type of statutory deduction (e.g., "paye", "pension", "microPension").

string
required

Payment timeline (e.g., "MONTHLY", "WEEKLY", "BIWEEKLY").

Headers
string
required

Bearer {your_api_key}

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json